Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry
Interface Envelope

All Known Subinterfaces:
  BoundingBox

    @UML(identifier="GM_Envelope",
         specification=ISO_19107)
    public interface Envelope

A minimum bounding box or rectangle. Regardless of dimension, an `Envelope` can be represented without ambiguity as two direct positions (coordinate points). To encode an `Envelope`, it is sufficient to encode these two points. This is consistent with all of the data types in this specification, their state is represented by their publicly accessible attributes.

Since:
  GeoAPI 1.0
Version:
  ISO 19107

Method Summary
`double` | `getCenter(int dimension)` Returns the center ordinate along the specified dimension.
`CoordinateReferenceSystem` | `getCoordinateReferenceSystem()` Returns the envelope coordinate reference system, or `null` if unknown.
`int` | `getDimension()` The length of coordinate sequence (the number of entries) in this envelope.
`double` | `getLength(int dimension)` Returns the envelope length along the specified dimension.
`DirectPosition` | `getLowerCorner()` A coordinate position consisting of all the minimal ordinates for each dimension for all points within the `Envelope`.
`double` | `getMaximum(int dimension)` Returns the maximal ordinate along the specified dimension.
`double` | `getMinimum(int dimension)` Returns the minimal ordinate along the specified dimension.
`DirectPosition` | `getUpperCorner()` A coordinate position consisting of all the maximal ordinates for each dimension for all points within the `Envelope`.

Method Detail

### getCoordinateReferenceSystem

    @Extension
    CoordinateReferenceSystem getCoordinateReferenceSystem()

  Returns the envelope coordinate reference system, or `null` if unknown. If non-null, it shall be the same as lower corner and upper corner CRS.

  Since:
    GeoAPI 2.1

### getDimension

    @Extension
    int getDimension()

  The length of coordinate sequence (the number of entries) in this envelope. Mandatory even when the coordinate reference system is unknown.

  Returns:
    The dimensionality of this envelope.
  Since:
    GeoAPI 2.0

### getMinimum

    @Extension
    double getMinimum(int dimension)

  Returns the minimal ordinate along the specified dimension.

  Since:
    GeoAPI 2.0

### getMaximum

    @Extension
    double getMaximum(int dimension)

  Returns the maximal ordinate along the specified dimension.

  Since:
    GeoAPI 2.0

### getCenter

    @Extension
    double getCenter(int dimension)

  Returns the center ordinate along the specified dimension.

  Since:
    GeoAPI 2.0

### getLength

    @Extension
    double getLength(int dimension)

  Returns the envelope length along the specified dimension. This length is equals to the maximum ordinate minus the minimal ordinate.

  Since:
    GeoAPI 2.0

### getUpperCorner

    @UML(identifier="upperCorner",
         obligation=MANDATORY,
         specification=ISO_19107)
    DirectPosition getUpperCorner()

  A coordinate position consisting of all the maximal ordinates for each dimension for all points within the `Envelope`.

  Returns:
    The upper corner.

### getLowerCorner

    @UML(identifier="lowerCorner",
         obligation=MANDATORY,
         specification=ISO_19107)
    DirectPosition getLowerCorner()

  A coordinate position consisting of all the minimal ordinates for each dimension for all points within the `Envelope`.

  Returns:
    The lower corner.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.